<!doctype html>

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->

	<head>
		<meta charset="utf-8">

		<?php // force Internet Explorer to use the latest rendering engine available ?>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">

		<title><?php wp_title(''); ?></title>

		<?php // mobile meta (hooray!) ?>
		<meta name="HandheldFriendly" content="True">
		<meta name="MobileOptimized" content="320">
		<meta name="viewport" content="width=device-width, initial-scale=1"/>

		<?php // icons & favicons (for more: http://www.jonathantneal.com/blog/understand-the-favicon/) ?>
		<link rel="apple-touch-icon" href="<?php echo get_template_directory_uri(); ?>/library/images/apple-touch-icon.png">
		<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/favicon.png">
		<!--[if IE]>
			<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico">
		<![endif]-->
		<?php // or, set /favicon.ico for IE10 win ?>
		<meta name="msapplication-TileColor" content="#f01d4f">
		<meta name="msapplication-TileImage" content="<?php echo get_template_directory_uri(); ?>/library/images/win8-tile-icon.png">
            <meta name="theme-color" content="#121212">

		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

		<?php // wordpress head functions ?>
		<?php wp_head(); ?>
		<?php // end of wordpress head ?>

		<?php // drop Google Analytics Here ?>
		<?php // end analytics ?>
 
 

 	<script>
 	 	  //Si la página emplea contenido en acordeon (jQuery UI)
		  jQuery(document).ready(function($) {
		    $( ".accordion" ).accordion({
		    	collapsible:true,
		    	active:false,
		    	heightStyle: "content",
		    	autoHeight: false ,
		    	});
		  });
	</script>
	</head>

	<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">

		<div id="container">

			<header class="header" role="banner" itemscope itemtype="http://schema.org/WPHeader">

				<div id="top_bar" class="top_bar">
					<div class="wrap cf">					
						
						<div id="top_social" class="d-1of4 m-all t-1of4">
							<?php botones_sociales() ?>
						</div>
						
						<div id="top_contacto" class="d-1of2 m-all t-1of2">
							<?php contacto_entidad() ?>
						</div>
						
						<div class="d-1of4 m-all t-1of4 last-col">
								<div id="top_busqueda" >
								<form class="busquedaglobal" method="get" id="searchform" action="<?php bloginfo('home'); ?>/" title="Buscador Global Web">
								<input type="text" class="text" value="" name="s" id="s" title="Texto de búsqueda"/>
								<button type="submit" class="blue-btn" id="searchsubmit" form="searchform" title="Confirmar Búsqueda"><span class="fa fa-search" title="icono de búsqueda"></span></button>
								</form>
								</div>
						</div>
					
					</div>
				</div>

				<div id="logo_bar" class="logo_bar">
					<div id="logo" class="wrap cf">
						<?php $logo_entidad=of_get_option('logo_entidad','');	?>
						<a href="<?php echo home_url(); ?>" title="<?php bloginfo('description')?>">
							<?php if ($logo_entidad<>'') { ?>
								<img src="<?php echo $logo_entidad ?>" alt="Página Inicio de <?php bloginfo('name'); ?>" />		
							<?php }else{ ?>
								<h1 class="titleweb">
						      	<?php bloginfo('name'); ?>
						      </h1>
						      <h2 class="titleweb">
						      	<?php bloginfo('description'); ?>
						      </h2>
						    <?php }?>
						</a>
					</div>
				</div>

				<div id="menu_bar" class="menu_bar">
					<div class="wrap cf">
					
				<nav role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
						

						<?php wp_nav_menu(array(
    					         'container' => false,                           // remove nav container
    					         'container_class' => 'menu cf',                 // class of container (should you choose to use it)
    					         'menu' => __( 'Menú Pruncipal', 'gobpress_theme' ),  // nav name
    					         'menu_class' => 'nav top-nav cf',               // adding custom nav class
    					         'theme_location' => 'main-nav',                 // where it's located in the theme
    					         'before' => '',                                 // before the menu
        			               'after' => '',                                  // after the menu
        			               'link_before' => '',                            // before each link
        			               'link_after' => '',                             // after each link
        			               'depth' => 0,                                   // limit the depth of the nav
    					         'fallback_cb' => ''                             // fallback function (if there is one)
						)); ?>

					</nav>
					</div>

				</div>

			</header>
