<?php
/* 
Developed by: Javier Feijóo
Definición de todos los tipos personalizados del Tema,
Campos y Personalización del Escritorio.
*/

// Flush rewrite rules for custom post types
add_action( 'after_switch_theme', 'bones_flush_rewrite_rules' );

// Flush your rewrite rules
function bones_flush_rewrite_rules() {
	flush_rewrite_rules();
}




/*****************************************
**** 1. Incorporamos la librería CMB2 ****
******************************************/
if ( file_exists(  __DIR__ . '/cmb2/init.php' ) ) {
  require_once  __DIR__ . '/cmb2/init.php';
} elseif ( file_exists(  __DIR__ . '/CMB2/init.php' ) ) {
  require_once  __DIR__ . '/CMB2/init.php';
}


 if ( isset($_GET['post_type']) ) {
   $post_type = $_GET['post_type'];
}else {
   $post_type = '';
}


/*******************************************************************
**** 2. Implementamos las Categoria y Taxonomias Personalizadas ****
********************************************************************/

// Taxonomia jerárquica Categorias Personal
function taxonomias_personalizadas() {
  $labels = array(
    'name'                       => _x( 'Categorías Personal', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Categorías Personal', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Categorías Personal', 'gobpress_theme' ),
    'all_items'                  => __( 'Todas las Categorias', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nueva Categoría', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir nueva categoria', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Categoría', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Categoría', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Categoría', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de las más usadas', 'gobpress_theme' ),
    'popular_items'              => __( 'Categorías Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Categorías', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
  );
  register_taxonomy( 'categoriaspersonal', array( 'personal' ), $args );

// Personalización de columnas del escritorio //

function categoriaspersonal_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "name" => __("Nombre Categoría", 'gobpress_theme' ),
                    "shortcode" => __("Shortcode", 'gobpress_theme' ),
                    "posts" => __("Cantidad", 'gobpress_theme' )
                   );

   return $columns;
}

function categoriaspersonal_custom_columns($out, $name, $term_id){
    switch( $name ){
        case "shortcode":
              echo '[listar_personal cat="'.$term_id.'"]<br/>';
              echo '[listar_personal cat="'.$term_id.'" format="full"]';
        break; 
    }
}

add_filter("manage_edit-categoriaspersonal_columns", "categoriaspersonal_edit_columns");
add_action("manage_categoriaspersonal_custom_column",  "categoriaspersonal_custom_columns",10,3);

/**********************************************************************************************************/


// Taxonomia Categorias de Recursos
  $labels = array(
    'name'                       => _x( 'Categorías Recursos', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Categorías Recursos', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Categorías Recursos', 'gobpress_theme' ),
    'all_items'                  => __( 'Todas las Categorias', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nueva Categoría', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir nueva categoria', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Categoría', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Categoría', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Categoría', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de las más usadas', 'gobpress_theme' ),
    'popular_items'              => __( 'Categorías Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Categorías', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,
  );
  register_taxonomy( 'categoriasrecursos', array( 'recursos' ), $args );


/**********************************************************************************************************/

// Taxonomia jerárquica Categorias de Documentos
  $labels = array(
    'name'                       => _x( 'Categorías Documentos', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Categorías Documentos', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Categorías Documentos', 'gobpress_theme' ),
    'all_items'                  => __( 'Todas las Categorias', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nueva Categoría', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir nueva categoria', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Categoría', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Categoría', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Categoría', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de las más usadas', 'gobpress_theme' ),
    'popular_items'              => __( 'Categorías Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Categorías', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
  );
  register_taxonomy( 'categoriasdocumentos', array( 'basedocumental' ), $args );


// Personalización de columnas del escritorio //

function categoriasdocumentos_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "name" => __("Nombre Categoría", 'gobpress_theme' ),
                    "shortcode" => __("Shortcode", 'gobpress_theme' ),
                    "posts" => __("Cantidad", 'gobpress_theme' )
                   );

   return $columns;
}

function categoriasdocumentos_custom_columns($out, $name, $term_id){
    switch( $name ){
        case "shortcode":
              echo '[listado_documentos cat="'.$term_id.'"]';              
        break; 
    }
}

add_filter("manage_edit-categoriasdocumentos_columns", "categoriasdocumentos_edit_columns");
add_action("manage_categoriasdocumentos_custom_column",  "categoriasdocumentos_custom_columns",10,3);

/**********************************************************************************************************/


//Taxonomia para clasificación de Preguntas Frecuentes y resto de contenidos
  $labels = array(
    'name'                       => _x( 'Temática ', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Temática ', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Temática', 'gobpress_theme' ),
    'all_items'                  => __( 'Todos los temas', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nuevo Tema', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir Tema', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Tema', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Tema', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Tema', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de las más usadas', 'gobpress_theme' ),
    'popular_items'              => __( 'Temas  Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Tema', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => false,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,   
  );
  register_taxonomy( 'tematica', array( 'post','page','recursos','basedocumental','faq' ), $args );


// Personalización de columnas del escritorio //

function tematica_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "name" => __("Nombre Categoría", 'gobpress_theme' ),
                    "shortcode" => __("Shortcode Preguntas Frecuentes", 'gobpress_theme' ),
                    "posts" => __("Cantidad", 'gobpress_theme' )
                   );

   return $columns;
}

function tematica_custom_columns($out, $name, $term_id){
    switch( $name ){
        case "shortcode":
              $term=get_term_by('id', $term_id, 'tematica');
              echo '[faq cat="'.$term->slug.'"]';              
        break; 
    }
}

add_filter("manage_edit-tematica_columns", "tematica_edit_columns");
add_action("manage_tematica_custom_column",  "tematica_custom_columns",10,3);






//Taxonomia para categorías de eventos
  $labels = array(
    'name'                       => _x( 'Categorias Eventos', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Categorias Eventos', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Categorias Eventos', 'gobpress_theme' ),
    'all_items'                  => __( 'Categorias los temas', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nueva Categoría', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir Categoría', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Categoría', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Categoría', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Categoría', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de lo más usados', 'gobpress_theme' ),
    'popular_items'              => __( 'Categorías  Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Categoría', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,   
  );
  register_taxonomy( 'categoriaseventos', array( 'agenda' ), $args );




/**********************************************************************************************************/


//Taxonomia para lugares de eventos
  $labels = array(
    'name'                       => _x( 'Lugares Eventos', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Lugares Eventos', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Lugares Eventos', 'gobpress_theme' ),
    'all_items'                  => __( 'Todos los temas', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nuevo Lugar', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir Lugar', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Lugar', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Lugar', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Lugar', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de lo más usados', 'gobpress_theme' ),
    'popular_items'              => __( 'Lugares  Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Lugar', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => false,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
    'show_tagcloud'              => true,   
  );
  register_taxonomy( 'lugareseventos', array( 'agenda' ), $args );


//Categorias de Perfil Contratante
  $labels = array(
    'name'                       => _x( 'Categorías Perfil Contratante', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Categorías Perfil Contratante', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Categorías', 'gobpress_theme' ),
    'all_items'                  => __( 'Todas las Categorias', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nueva Categoría', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir nueva categoria', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Categoría', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Categoría', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Categoría', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de las más usadas', 'gobpress_theme' ),
    'popular_items'              => __( 'Categorías Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Categorías', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
  );
  register_taxonomy( 'categoriasperfil', array( 'perfilcontratante' ), $args );


//Categorias Transparencia Municipal
  $labels = array(
    'name'                       => _x( 'Categorías Transparencia Municipal', 'Taxonomy General Name', 'gobpress_theme' ),
    'singular_name'              => _x( 'Categorías Transparencia Municipal', 'Taxonomy Singular Name', 'gobpress_theme' ),
    'menu_name'                  => __( 'Categorías', 'gobpress_theme' ),
    'all_items'                  => __( 'Todas las Categorias', 'gobpress_theme' ),
    'parent_item'                => __( 'Categoría Padre', 'gobpress_theme' ),
    'parent_item_colon'          => __( 'Categoría Padre:', 'gobpress_theme' ),
    'new_item_name'              => __( 'Nueva Categoría', 'gobpress_theme' ),
    'add_new_item'               => __( 'Añadir nueva categoria', 'gobpress_theme' ),
    'edit_item'                  => __( 'Editar Categoría', 'gobpress_theme' ),
    'update_item'                => __( 'Actualizar Categoría', 'gobpress_theme' ),
    'view_item'                  => __( 'Ver Categoría', 'gobpress_theme' ),
    'add_or_remove_items'        => __( 'Añadir o eliminar', 'gobpress_theme' ),
    'choose_from_most_used'      => __( 'Seleccionar de las más usadas', 'gobpress_theme' ),
    'popular_items'              => __( 'Categorías Populares', 'gobpress_theme' ),
    'search_items'               => __( 'buscar Categorías', 'gobpress_theme' ),
    'not_found'                  => __( 'No encontrado', 'gobpress_theme' ),
    'items_list'                 => __( 'Listado', 'gobpress_theme' ),
    'items_list_navigation'      => __( 'Listado navegación', 'gobpress_theme' ),
  );
  $args = array(
    'labels'                     => $labels,
    'hierarchical'               => true,
    'public'                     => true,
    'show_ui'                    => true,
    'show_admin_column'          => true,
    'show_in_nav_menus'          => true,
  );
  register_taxonomy( 'categoriastransparencia', array( 'transparencia' ), $args );



}
add_action( 'init', 'taxonomias_personalizadas', 0 );



/* CUSTOM TERM TO TAXONOMY */

// Add term page
function transparencia_taxonomy_add_new_meta_field() {
    // this will add the custom meta field to the add new term page
    ?>
    <div class="form-field">
        <label for="term_meta[custom_term_meta]"><?php _e( 'Código de Grupo', 'gobpress_theme' ); ?></label>
        <input type="text" name="term_meta[codigo]" id="term_meta[codigo]" value="">
        <p class="description"><?php _e( 'Introduce un código para la clasificación','gobpress_theme' ); ?></p>
    </div>
<?php
}
add_action( 'categoriastransparencia_add_form_fields', 'transparencia_taxonomy_add_new_meta_field', 10, 2 );


// Edit term page
function transparencia_taxonomy_edit_meta_field($term) {
 
    // put the term ID into a variable
    $t_id = $term->term_id;
 
    // retrieve the existing value(s) for this meta field. This returns an array
    $term_meta = get_option( "taxonomy_$t_id" ); ?>
    <tr class="form-field">
    <th scope="row" valign="top"><label for="term_meta[codigo]"><?php _e( 'Código de Grupo', 'gobpress_theme' ); ?></label></th>
        <td>
            <input type="text" name="term_meta[codigo]" id="term_meta[codigo]" value="<?php echo esc_attr( $term_meta['codigo'] ) ? esc_attr( $term_meta['codigo'] ) : ''; ?>">
            <p class="description"><?php _e( 'Introduce un código para la clasificación','gobpress_theme' ); ?></p>
        </td>
    </tr>
<?php
}
add_action( 'categoriastransparencia_edit_form_fields', 'transparencia_taxonomy_edit_meta_field', 10, 2 );

function save_taxonomy_custom_meta( $term_id ) {
    if ( isset( $_POST['term_meta'] ) ) {
        $t_id = $term_id;
        $term_meta = get_option( "taxonomy_$t_id" );
        $cat_keys = array_keys( $_POST['term_meta'] );
        foreach ( $cat_keys as $key ) {
            if ( isset ( $_POST['term_meta'][$key] ) ) {
                $term_meta[$key] = $_POST['term_meta'][$key];
            }
        }
        // Save the option array.
        update_option( "taxonomy_$t_id", $term_meta );
    }
}  
add_action( 'edited_categoriastransparencia', 'save_taxonomy_custom_meta', 10, 2 );  
add_action( 'create_categoriastransparencia', 'save_taxonomy_custom_meta', 10, 2 );


/************* FIN CUSTOM TAXONOMIES *************/





/******************************************************************************
**** 3. Definimos y activamos los Tipos Personalizados (CUSTOM POST TYPES) ****
******************************************************************************/

/************* Tipo: Personal ********************/

if ( ! function_exists('type_personal') ) {
	function type_personal() {

	  $labels = array(
	    'name'                  => _x( 'Personal de la Entidad', 'Post Type General Name', 'gobpress_theme' ),
	    'singular_name'         => _x( 'persona', 'Post Type Singular Name', 'gobpress_theme' ),
	    'menu_name'             => __( 'Personal Entidad', 'gobpress_theme' ),
	    'name_admin_bar'        => __( 'Personal Entidad', 'gobpress_theme' ),
	    'parent_item_colon'     => __( 'Jefe/Superior:', 'gobpress_theme' ),
	    'all_items'             => __( 'Todo el personal', 'gobpress_theme' ),
	    'add_new_item'          => __( 'Añadir Personal', 'gobpress_theme' ),
	    'add_new'               => __( 'Añadir Nuevo', 'gobpress_theme' ),
	    'new_item'              => __( 'Nueva Persona', 'gobpress_theme' ),
	    'edit_item'             => __( 'Editar Persona', 'gobpress_theme' ),
	    'update_item'           => __( 'Actualizar Persona', 'gobpress_theme' ),
	    'view_item'             => __( 'Ver Persona', 'gobpress_theme' ),
	    'search_items'          => __( 'Buscar Personas', 'gobpress_theme' ),
	    'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
	    'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
	    'items_list'            => __( 'Listado de Personas', 'gobpress_theme' ),
	    'items_list_navigation' => __( 'Listado de Pesonas navegacion', 'gobpress_theme' ),
	    'filter_items_list'     => __( 'Filtar Listado de Personas', 'gobpress_theme' ),
	  );
	  $args = array(
	    'label'                 => __( 'persona', 'gobpress_theme' ),
	    'description'           => __( 'Personal Entidad', 'gobpress_theme' ),
	    'labels'                => $labels,
	    'supports'              => array( 'title', 'editor', 'thumbnail', 'custom-fields','page-attributes' ),
	    'hierarchical'          => true,
	    'public'                => true,
	    'show_ui'               => true,
	    'show_in_menu'          => true,
	    'menu_position'         => 5,
	    'menu_icon'             => 'dashicons-groups',
	    'show_in_admin_bar'     => true,
	    'show_in_nav_menus'     => true,
	    'can_export'            => true,
	    'has_archive'           => true,    
	    'exclude_from_search'   => false,
	    'publicly_queryable'    => true,
	    'capability_type'       => 'page',
	  );
	  register_post_type( 'personal', $args );

	}
	add_action( 'init', 'type_personal', 0 );
}

/***** Campos Personalizados: Personal ***/
add_action( 'cmb2_admin_init', 'cmb2_personal' );
function cmb2_personal() {
    $prefix = '_personal_';
    $cmb = new_cmb2_box( array(
        'id'            => 'datos_personal',
        'title'         => __( 'Datos del Personal', 'gobpress_theme' ),
        'object_types'  => array( 'personal', ), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, 
    ) );

    // Fotografía
    $cmb->add_field( array(
    'name'    => 'Fotografía',
    'desc'    => 'sube una imagen o introduce la URL.',
    'id'      => $prefix .'fotografia',
    'type'    => 'file',
    'preview_size' => array( 150, 150 ), 
    'options' => array(
        'url' => true, 
        'add_upload_file_text' => 'Añadir Foto' 
    ),
    ) );

    // Correo Electrónico
    $cmb->add_field( array(
        'name' => __( 'Correo Electrónico', 'gobpress_theme' ),
        'id'   => $prefix . 'email',
        'type' => 'text_email',
    ) );

    // Teléfono de Contacto
    $cmb->add_field( array(
        'name'    => __( 'Teléfonos de Contacto', 'gobpress_theme' ),
        'id'      => $prefix .'telefono',
        'type'    => 'text_medium'
    ) );

    // Puesto
    $cmb->add_field( array(
        'name'    => __(  'Puesto Trabajo', 'gobpress_theme' ),
        'id'      => $prefix .'puestotrabajo',
        'type'    => 'text_medium'
    ) );

    // Categoría Laboral
    $cmb->add_field( array(
        'name'    => __( 'Categoría Laboral', 'gobpress_theme' ),
        'id'      => $prefix .'categorialaboral',
        'type'    => 'text_medium'
    ) );

    // Retribuciones
    $cmb->add_field( array(
        'name'    => __( 'Retribuciones Económicas', 'gobpress_theme' ),
        'id'      => $prefix .'retribuciones',
        'type'    => 'text_medium'
    ) );

    // Curriculum
    $cmb->add_field( array(
        'name'    => __( 'Curriculum', 'gobpress_theme' ),
        'desc'    => __( 'Carga un documento o introduce la URL.', 'gobpress_theme' ),
        'id'      => $prefix .'curriculum',
        'type'    => 'file',
        'options' => array(
            'url' => true, 
            'add_upload_file_text' => 'Subir Archivo' 
        ),
    ) );

    // Registro de Intereses
    $cmb->add_field( array(
        'name'    => __( 'Registro de Intereses de Actividades y Bienes', 'gobpress_theme' ),
        'desc'    => __( 'Carga un documento o introduce la URL.', 'gobpress_theme' ),
        'id'      => $prefix .'riab',
        'type'    => 'file',
        'options' => array(
            'url' => true, 
            'add_upload_file_text' => 'Subir Archivo' 
        ),
    ) );


}


/**** Personalización de columnas del escritorio ****/

function personal_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "photo" => __("Imagen", 'gobpress_theme' ),
                    "title" => __("Nombre Personal", 'gobpress_theme' ),
                    "personal_category" => __("Categoría | Grupo", 'gobpress_theme' ),
                    "shortcode" => __("Shortcode", 'gobpress_theme' ),
                    "date" => __("Fecha", 'gobpress_theme' )
                   );

   return $columns;
}

function personal_custom_columns($column){
  global $post;
  switch ($column){
                 case "photo":
                     $foto = wp_get_attachment_image( get_post_meta( $post->ID, '_personal_fotografia_id', 1 ), 'thumb-c75');
                     echo ($foto);
                     //if(has_post_thumbnail()) the_post_thumbnail(array(60,60));
                 break;
                 case "personal_category":
                     echo get_the_term_list($post->ID, 'categoriaspersonal', '', ', ','');
                 break;
                 case "shortcode":
                     echo '[ficha_persona id="'.$post->ID.'"]<br/>';
                     echo '[ficha_persona id="'.$post->ID.'" format="full"]<br/>';
                     echo '[contactar id="'.$post->ID.'"]';
                 break;                 
   }
}

add_filter("manage_edit-personal_columns", "personal_edit_columns");
add_action("manage_personal_posts_custom_column",  "personal_custom_columns");


/**** Establecemos un control de campo select para realizar filtros por categoría ****/

if ( isset($_GET['post_type']) ) {
   $post_type = $_GET['post_type'];
}else {
   $post_type = '';
}


function personal_filter_list() {
   global $typenow, $wp_query;


   if ($typenow=='personal') {
      wp_dropdown_categories(array(
                                   'show_option_all' => 'Todas las Categorías',
                                   'taxonomy' => 'categoriaspersonal',
                                   'name' => 'categoriaspersonal',
                                   'orderby' => 'name',
                                   'selected' =>( isset( $wp_query->query['categoriaspersonal'] ) ? $wp_query->query['categoriaspersonal'] : '' ),
                                   'hierarchical' => true,
                                   'depth' => 3,
                                   'show_count' => false,
                                   'hide_empty' => true,
                            ));

  }
}

function personal_perform_filtering( $query ){

   $qv = &$query->query_vars;
   if ( isset($_GET['categoriaspersonal']) ) {
   if (( $qv['categoriaspersonal'] ) && is_numeric( $qv['categoriaspersonal'] ) ) {
      $term = get_term_by( 'id', $qv['categoriaspersonal'], 'categoriaspersonal' );
      $qv['categoriaspersonal'] = $term->slug;
    }
    }
}

if ( $post_type == 'personal' || $typenow == 'personal' ) {
   add_action( 'restrict_manage_posts','personal_filter_list');
   add_filter( 'parse_query','personal_perform_filtering');
}


/************* FIN Tipo: Personal ********************/



/************* Tipo: Recursos ********************/

if ( ! function_exists('type_recursos') ) {

function type_recursos() {
  $labels = array(
    'name'                  => _x( 'Repositorio de Recursos', 'Post Type General Name', 'gobpress_theme' ),
    'singular_name'         => _x( 'Repositorio de recursos', 'Post Type Singular Name', 'gobpress_theme' ),
    'menu_name'             => __( 'Repositorio Recursos', 'gobpress_theme' ),
    'name_admin_bar'        => __( 'Repositorio de recursos', 'gobpress_theme' ),
    'parent_item_colon'     => __( 'Recurso Superior:', 'gobpress_theme' ),
    'all_items'             => __( 'Todos', 'gobpress_theme' ),
    'add_new_item'          => __( 'Añadir Recurso', 'gobpress_theme' ),
    'add_new'               => __( 'Añadir Nuevo', 'gobpress_theme' ),
    'new_item'              => __( 'Nuevo Recurso', 'gobpress_theme' ),
    'edit_item'             => __( 'Editar recurso', 'gobpress_theme' ),
    'update_item'           => __( 'Actualizar Recursos', 'gobpress_theme' ),
    'view_item'             => __( 'Ver Recursos', 'gobpress_theme' ),
    'search_items'          => __( 'Buscar Recursos', 'gobpress_theme' ),
    'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
    'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
    'items_list'            => __( 'Listado de Recursos', 'gobpress_theme' ),
    'items_list_navigation' => __( 'Listado de Recursos navegacion', 'gobpress_theme' ),
    'filter_items_list'     => __( 'Filtar Listado de Recursos', 'gobpress_theme' ),
  );
  $args = array(
    'label'                 => __( 'Recursos', 'gobpress_theme' ),
    'description'           => __( 'Repositorio de Recursos', 'gobpress_theme' ),
    'labels'                => $labels,
    'supports'              => array( 'title', 'editor', 'thumbnail', 'custom-fields','page-attributes'),
    'hierarchical'          => true,
    'public'                => true,
    'show_ui'               => true,
    'show_in_menu'          => true,
    'menu_position'         => 5,
    'menu_icon'             => 'dashicons-location',
    'show_in_admin_bar'     => true,
    'show_in_nav_menus'     => true,
    'can_export'            => true,
    'has_archive'           => true,    
    'exclude_from_search'   => false,
    'publicly_queryable'    => true,
    'capability_type'       => 'page',
  );
  register_post_type( 'recursos', $args );

}
add_action( 'init', 'type_recursos', 0 );

}

/***** Campos Personalizados: Recursos ***/
add_action( 'cmb2_admin_init', 'cmb2_recursos' );
function cmb2_recursos() {
    $prefix = '_recursos_';
    $cmb = new_cmb2_box( array(
        'id'            => 'datos_recursos',
        'title'         => __( 'Datos del Recurso', 'gobpress_theme' ),
        'object_types'  => array( 'recursos', ), 
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, 
        'closed'     => false, 
    ) );

    // Direccion
    $cmb->add_field( array(
        'name'    => __( 'Dirección del Recurso', 'gobpress_theme' ),
        'id'      => $prefix .'direccion',
        'type'    => 'text'
    ) );

    // Lugar
    $cmb->add_field( array(
        'name'    => __( 'Lugar (localidad - provincia)', 'gobpress_theme' ),
        'id'      => $prefix .'lugar',
        'type'    => 'text_medium'
    ) );

    // Persona de Contacto
    $cmb->add_field( array(
        'name'    => __( 'Persona de Contacto', 'gobpress_theme' ),
        'id'      => $prefix .'contacto',
        'type'    => 'text'
    ) );


    // Correo Electrónico
    $cmb->add_field( array(
        'name' => __( 'Correo Electrónico', 'gobpress_theme' ),
        'id'   => $prefix . 'email',
        'type' => 'text_email',
    ) );

    // Teléfono de Contacto
    $cmb->add_field( array(
        'name'    => __( 'Teléfonos de Contacto', 'gobpress_theme' ),
        'id'      => $prefix .'telefono',
        'type'    => 'text_medium'
    ) );

    // Url recurso
    $cmb->add_field( array(
        'name'    => __(  'Url o Web del Recurso', 'gobpress_theme' ),
        'id'      => $prefix .'url',
        'type'    => 'text_url'
    ) );

    // Galería de Fotos
    $cmb->add_field( array(
        'name'    => __( 'Galería de Imágenes del Recurso', 'gobpress_theme' ),
        'id'      => $prefix .'galeria',
        'type' => 'file_list',
        'preview_size' => array( 100, 100 ),  
        'options' => array(
            'add_upload_files_text' => 'Añadir o subir imágenes', // default: "Add or Upload Files"
            'remove_image_text' => 'Borrar Imagen', // default: "Remove Image"
            'file_text' => 'Archivo:', // default: "File:"
            'file_download_text' => 'Descargar', // default: "Download"
            'remove_text' => 'Eliminar', // default: "Remove"
            ),
    ) );

    // Documentos Adicionales
    $cmb->add_field( array(
        'name'    => __( 'Documentos Adicionales del Recurso', 'gobpress_theme' ),
        'id'      => $prefix .'documentos',
        'type' => 'file_list',
        'preview_size' => array( 100, 100 ),  
        'options' => array(
            'add_upload_files_text' => 'Añadir o subir documentos', // default: "Add or Upload Files"
            'remove_image_text' => 'Borrar documento', // default: "Remove Image"
            'file_text' => 'Archivo:', // default: "File:"
            'file_download_text' => 'Descargar', // default: "Download"
            'remove_text' => 'Eliminar', // default: "Remove"
            ),
    ) );

    

}



/**** Personalización de columnas del escritorio ****/

function recursos_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "photo" => __("Imagen", 'gobpress_theme' ),
                    "title" => __("Nombre Personal", 'gobpress_theme' ),
                    "recursos_category" => __("Categoría | Grupo", 'gobpress_theme' ),
                    "shortcode" => __("Shortcode", 'gobpress_theme' )
                   );

   return $columns;
}

function recursos_custom_columns($column){
  global $post;
  switch ($column){
                 case "photo":
                    if(has_post_thumbnail()) the_post_thumbnail(thumb-c75);
                 break;
                 case "recursos_category":
                     echo get_the_term_list($post->ID, 'categoriasrecursos', '', ', ','');
                 break;
                 case "shortcode":
                     echo '[ficha_recurso id="'.$post->ID.'"]';
                 break;                 
   }
}

add_filter("manage_edit-recursos_columns", "recursos_edit_columns");
add_action("manage_recursos_posts_custom_column",  "recursos_custom_columns");


/**** Establecemos un control de campo select para realizar filtros por categoría ****/


function recursos_filter_list() {
   global $typenow, $wp_query;
   if ($typenow=='recursos') {
      wp_dropdown_categories(array(
                                   'show_option_all' => 'Todas las Categorías',
                                   'taxonomy' => 'categoriasrecursos',
                                   'name' => 'categoriasrecursos',
                                   'orderby' => 'name',
                                   'selected' =>( isset( $wp_query->query['categoriaspersonal'] ) ? $wp_query->query['categoriasrecursos'] : '' ),
                                   'hierarchical' => true,
                                   'depth' => 3,
                                   'show_count' => false,
                                   'hide_empty' => true,
                            ));

  }
}

function recursos_perform_filtering( $query ){
   $qv = &$query->query_vars;
   if ( isset($_GET['categoriasrecursos']) ) {
   if (( $qv['categoriasrecursos'] ) && is_numeric( $qv['categoriasrecursos'] ) ) {
      $term = get_term_by( 'id', $qv['categoriasrecursos'], 'categoriasrecursos' );
      $qv['categoriasrecursos'] = $term->slug;
    }
    }
}
if ( $post_type == 'recursos' ) {
   add_action( 'restrict_manage_posts','recursos_filter_list');
   add_filter( 'parse_query','recursos_perform_filtering');
}








/************* FIN Tipo: Recursos ********************/




/************* Tipo: Base Documental ********************/

if ( ! function_exists('type_basedocumental') ) {

function type_basedocumental() {

  $labels = array(
    'name'                  => _x( 'Base Documental', 'Post Type General Name', 'gobpress_theme' ),
    'singular_name'         => _x( 'Base Documental', 'Post Type Singular Name', 'gobpress_theme' ),
    'menu_name'             => __( 'Base Documental', 'gobpress_theme' ),
    'name_admin_bar'        => __( 'Base Documental', 'gobpress_theme' ),
    'parent_item_colon'     => __( 'Documento Superior:', 'gobpress_theme' ),
    'all_items'             => __( 'Todos', 'gobpress_theme' ),
    'add_new_item'          => __( 'Añadir Documento', 'gobpress_theme' ),
    'add_new'               => __( 'Añadir Nuevo', 'gobpress_theme' ),
    'new_item'              => __( 'Nuevo Documento', 'gobpress_theme' ),
    'edit_item'             => __( 'Editar Documento', 'gobpress_theme' ),
    'update_item'           => __( 'Actualizar Documento', 'gobpress_theme' ),
    'view_item'             => __( 'Ver Documentos', 'gobpress_theme' ),
    'search_items'          => __( 'Buscar Documentos', 'gobpress_theme' ),
    'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
    'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
    'items_list'            => __( 'Listado de Documentos', 'gobpress_theme' ),
    'items_list_navigation' => __( 'Listado de Documentos navegacion', 'gobpress_theme' ),
    'filter_items_list'     => __( 'Filtar Listado de Documentos', 'gobpress_theme' ),
  );
  $args = array(
    'label'                 => __( 'Documentos', 'gobpress_theme' ),
    'description'           => __( 'Base Documental - Archivos', 'gobpress_theme' ),
    'labels'                => $labels,
    'supports'              => array( 'title', 'editor', 'thumbnail','page-attributes'),
    'hierarchical'          => true,
    'public'                => true,
    'show_ui'               => true,
    'show_in_menu'          => true,
    'menu_position'         => 5,
    'menu_icon'             => 'dashicons-portfolio',
    'show_in_admin_bar'     => true,
    'show_in_nav_menus'     => true,
    'can_export'            => true,
    'has_archive'           => true,    
    'exclude_from_search'   => false,
    'publicly_queryable'    => true,
    'capability_type'       => 'post',
  );
  register_post_type( 'basedocumental', $args );

}
add_action( 'init', 'type_basedocumental', 0 );

}

/***** Campos Personalizados: Base Documental ***/
add_action( 'cmb2_admin_init', 'cmb2_basedocumental' );
function cmb2_basedocumental() {
    $prefix = '_documentos_';
    $cmb = new_cmb2_box( array(
        'id'            => 'datos_basedocumental',
        'title'         => __( 'Datos del Documento', 'gobpress_theme' ),
        'object_types'  => array( 'basedocumental', ), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, // Show field names on the left
        // 'cmb_styles' => false, // false to disable the CMB stylesheet
        'closed'     => false, // Keep the metabox closed by default
    ) );

    // fecha
    $cmb->add_field( array(
        'name'    => __( 'Fecha Publicación - Documento', 'gobpress_theme' ),
        'id'      => $prefix .'fecha',
        'type'    => 'text_date_timestamp',
        'date_format' => 'd/m/Y',
    ) );

     // archivo
    $cmb->add_field( array(
        'name'    => __( 'Archivo Documento', 'gobpress_theme' ),
        'desc'    => __( 'Carga un documento o introduce la URL.', 'gobpress_theme' ),
        'id'      => $prefix .'archivo',
        'type'    => 'file',
        'options' => array(
            'url' => true, 
            'add_upload_file_text' => 'Subir Archivo' 
        ),
    ) );

    // archivo - media
    $cmb->add_field( array(
        'name'    => __( 'Archivo Multimedia', 'gobpress_theme' ),
        'desc'    => __( 'Carga un documento o introduce la URL.', 'gobpress_theme' ),
        'id'      => $prefix .'media',
        'type'    => 'file',
        'options' => array(
            'url' => true, 
            'add_upload_file_text' => 'Subir Archivo' 
        ),
    ) );
    

}


/**** Personalización de columnas de la Base Documental ****/

function bdocumental_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "title" => __("Nombre Personal", 'gobpress_theme' ),
                    "fechapub" => __("Fecha", 'gobpress_theme' ),
                    "filedoc" => __("Archivo", 'gobpress_theme' ),
                    "bdocumental_category" => __("Categoría", 'gobpress_theme' ),
                    "shortcode" => __("Shortcode", 'gobpress_theme' ),
                   );

   return $columns;
}

function bdocumental_custom_columns($column){
  global $post;
  switch ($column){
                case "filedoc":
                    $filedoc='';
                    $filedoc = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_archivo_id', 1 ));
                    if ($filedoc<>''){
                        echo ('<a href="'.$filedoc.'" target="_blank"><i class="dashicons dashicons-media-document"></i> ver archivo</a><br/>');                     
                    }
                    $filedoc='';
                    $filedoc = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_media_id', 1 ));
                    if ($filedoc<>''){
                        echo ('<a href="'.$filedoc.'" target="_blank"><i class="dashicons dashicons-media-audio"></i> ver media</a>');                     
                    }

                break;
                case "fechapub":
                    $fecha = get_post_meta( get_the_ID(), '_documentos_fecha', true );
                    $fechapub = new DateTime("@".$fecha);
                    echo date_format($fechapub,"d/m/Y");
                    //echo get_post_meta( get_the_ID(), '_documentos_fecha', true );

                break;                
                case "bdocumental_category":
                    echo get_the_term_list($post->ID, 'categoriasdocumentos', '', ', ','');
                break;
                case "shortcode":
                    echo '[documento id="'.$post->ID.'"]';
                break;                 
   }
}

add_filter("manage_edit-basedocumental_columns", "bdocumental_edit_columns");
add_action("manage_basedocumental_posts_custom_column",  "bdocumental_custom_columns");


/**** Establecemos un control de campo select para realizar filtros por categoría ****/



function bdocumental_filter_list() {
   global $typenow, $wp_query;
   if ($typenow=='basedocumental') {
      wp_dropdown_categories(array(
                                   'show_option_all' => 'Todas las Categorías',
                                   'taxonomy' => 'categoriasdocumentos',
                                   'name' => 'categoriasdocumentos',
                                   'orderby' => 'name',
                                   'selected' =>( isset( $wp_query->query['categoriasdocumentos'] ) ? $wp_query->query['categoriasdocumentos'] : '' ),
                                   'hierarchical' => true,
                                   'depth' => 3,
                                   'show_count' => false,
                                   'hide_empty' => true,
                            ));

  }
}

function bdocumental_perform_filtering( $query ){
   $qv = &$query->query_vars;
   if ( isset($_GET['categoriasdocumentos']) ) {
   if (( $qv['categoriasdocumentos'] ) && is_numeric( $qv['categoriasdocumentos'] ) ) {
      $term = get_term_by( 'id', $qv['categoriasdocumentos'], 'categoriasdocumentos' );
      $qv['categoriasdocumentos'] = $term->slug;
    }
    }
}
if ( $post_type == 'basedocumental' ) {
   add_action( 'restrict_manage_posts','bdocumental_filter_list');
   add_filter( 'parse_query','bdocumental_perform_filtering');
}

/************* FIN Tipo: Base Documental ********************/










/************* Tipo: FAQ's********************/

if ( ! function_exists('type_faq') ) {


	function type_faq() {

	  $labels = array(
	    'name'                  => _x( 'Preguntas Frecuentes', 'Post Type General Name', 'gobpress_theme' ),
	    'singular_name'         => _x( 'Preguntas Frecuentes', 'Post Type Singular Name', 'gobpress_theme' ),
	    'menu_name'             => __( 'Preguntas Frecuentes', 'gobpress_theme' ),
	    'name_admin_bar'        => __( 'Preguntas Frecuentes', 'gobpress_theme' ),
	    'parent_item_colon'     => __( 'Pregunta Superior:', 'gobpress_theme' ),
	    'all_items'             => __( 'Todos', 'gobpress_theme' ),
	    'add_new_item'          => __( 'Añadir Pregunta', 'gobpress_theme' ),
	    'add_new'               => __( 'Añadir Nuevo', 'gobpress_theme' ),
	    'new_item'              => __( 'Nuevo Pregunta', 'gobpress_theme' ),
	    'edit_item'             => __( 'Editar Pregunta', 'gobpress_theme' ),
	    'update_item'           => __( 'Actualizar Pregunta', 'gobpress_theme' ),
	    'view_item'             => __( 'Ver Preguntas', 'gobpress_theme' ),
	    'search_items'          => __( 'Buscar Preguntas', 'gobpress_theme' ),
	    'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
	    'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
	    'items_list'            => __( 'Listado de Preguntas', 'gobpress_theme' ),
	    'items_list_navigation' => __( 'Listado de Preguntas navegacion', 'gobpress_theme' ),
	    'filter_items_list'     => __( 'Filtar Listado de Preguntas', 'gobpress_theme' ),
	  );
	  $args = array(
	    'label'                 => __( 'preguntas', 'gobpress_theme' ),
	    'description'           => __( 'Preguntas Frecuentes', 'gobpress_theme' ),
	    'labels'                => $labels,
	    'supports'              => array( 'title', 'editor', 'thumbnail','page-attributes'),
	    'hierarchical'          => true,
	    'public'                => true,
	    'show_ui'               => true,
	    'show_in_menu'          => true,
	    'menu_position'         => 5,
	    'menu_icon'             => 'dashicons-editor-help',
	    'show_in_admin_bar'     => true,
	    'show_in_nav_menus'     => true,
	    'can_export'            => true,
	    'has_archive'           => true,    
	    'exclude_from_search'   => false,
	    'publicly_queryable'    => true,
	    'capability_type'       => 'page',
	  );
	  register_post_type( 'faq', $args );

	}
	add_action( 'init', 'type_faq', 0 );

}

/************* FIN Tipo: FAQ's********************/




/************* Tipo: Agenda de Eventos ********************/

if ( ! function_exists('type_agenda') ) {

	function type_agenda() {

	  $labels = array(
	    'name'                  => _x( 'Agenda Actividades o Eventos', 'Post Type General Name', 'gobpress_theme' ),
	    'singular_name'         => _x( 'Agenda Actividades o Eventos', 'Post Type Singular Name', 'gobpress_theme' ),
	    'menu_name'             => __( 'Agenda', 'gobpress_theme' ),
	    'name_admin_bar'        => __( 'Agenda', 'gobpress_theme' ),
	    'parent_item_colon'     => __( 'Evento Superior:', 'gobpress_theme' ),
	    'all_items'             => __( 'Todos', 'gobpress_theme' ),
	    'add_new_item'          => __( 'Añadir Evento', 'gobpress_theme' ),
	    'add_new'               => __( 'Añadir Nuevo', 'gobpress_theme' ),
	    'new_item'              => __( 'Nuevo Evento', 'gobpress_theme' ),
	    'edit_item'             => __( 'Editar Evento', 'gobpress_theme' ),
	    'update_item'           => __( 'Actualizar Evento', 'gobpress_theme' ),
	    'view_item'             => __( 'Ver Evento', 'gobpress_theme' ),
	    'search_items'          => __( 'Buscar Evento', 'gobpress_theme' ),
	    'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
	    'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
	    'items_list'            => __( 'Listado de Eventos', 'gobpress_theme' ),
	    'items_list_navigation' => __( 'Listado de Eventos navegacion', 'gobpress_theme' ),
	    'filter_items_list'     => __( 'Filtar Listado de Eventos', 'gobpress_theme' ),
	  );
	  $args = array(
	    'label'                 => __( 'Agenda', 'gobpress_theme' ),
	    'description'           => __( 'Agenda de Actividades o Eventos', 'gobpress_theme' ),
	    'labels'                => $labels,
	    'supports'              => array( 'title', 'editor', 'thumbnail',),
	    'hierarchical'          => false,
	    'public'                => true,
	    'show_ui'               => true,
	    'show_in_menu'          => true,
	    'menu_position'         => 5,
	    'menu_icon'             => 'dashicons-calendar',
	    'show_in_admin_bar'     => true,
	    'show_in_nav_menus'     => true,
	    'can_export'            => true,
	    'has_archive'           => true,    
	    'exclude_from_search'   => false,
	    'publicly_queryable'    => true,
	    'capability_type'       => 'post',
	  );
	  register_post_type( 'agenda', $args );

	}
	add_action( 'init', 'type_agenda', 0 );

}

/***** Campos Personalizados: Agenda de Eventos ***/
add_action( 'cmb2_admin_init', 'cmb2_agenda' );

function cmb2_agenda() {

  	$prefix = '_agenda_';
    $cmb = new_cmb2_box( array(
        'id'            => 'datos_agenda',
        'title'         => __( 'Detalles del Evento', 'gobpress_theme' ),
        'object_types'  => array( 'agenda', ), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, 
        'closed'     => false, 
    ) );

    // fecha y hora inicio
    $cmb->add_field( array(
        'name'    => __( 'Fecha y Hora Inicio', 'gobpress_theme' ),
        'id'      => $prefix .'fechainicio',
        'type'    => 'text_datetime_timestamp'
    ) );

    // fecha y hora fin
    $cmb->add_field( array(
        'name'    => __( 'Fecha y Hora Fin', 'gobpress_theme' ),
        'id'      => $prefix .'fechafin',
        'type'    => 'text_datetime_timestamp'
    ) );

    // dia completo
    $cmb->add_field( array(
        'name'    => __( 'Día Completo', 'gobpress_theme' ),
        'id'      => $prefix .'diacompleto',
        'type'    => 'checkbox'
    ) );

    // Lugar
    $cmb->add_field( array(
        'name'    => __( 'Lugar evento', 'gobpress_theme' ),
        'id'      => $prefix .'lugar',
        'taxonomy' => 'lugareseventos',
        'type'     => 'taxonomy_select',
    ) );
    
    // Url más información
    $cmb->add_field( array(
        'name'    => __(  'Url para más información', 'gobpress_theme' ),
        'id'      => $prefix .'url',
        'type'    => 'text_url'
    ) );

}

/*************  FIN Tipo: Agenda de Eventos ********************/



/************* Tipo: Perfil Contratante ********************/

if ( ! function_exists('type_perfil') ) {

	function type_perfil() {

	  $labels = array(
	    'name'                  => _x( 'Perfil del Contratante', 'Post Type General Name', 'gobpress_theme' ),
	    'singular_name'         => _x( 'Perfil del Contratante', 'Post Type Singular Name', 'gobpress_theme' ),
	    'menu_name'             => __( 'Perfil del Contratante', 'gobpress_theme' ),
	    'name_admin_bar'        => __( 'Perfil del Contratante', 'gobpress_theme' ),
	    'parent_item_colon'     => __( 'Superior:', 'gobpress_theme' ),
	    'all_items'             => __( 'Todos', 'gobpress_theme' ),
	    'add_new_item'          => __( 'Añadir Expediente ', 'gobpress_theme' ),
	    'add_new'               => __( 'Añadir', 'gobpress_theme' ),
	    'new_item'              => __( 'Nuevo Expediente', 'gobpress_theme' ),
	    'edit_item'             => __( 'Editar Expediente', 'gobpress_theme' ),
	    'update_item'           => __( 'Actualizar Expediente ', 'gobpress_theme' ),
	    'view_item'             => __( 'Ver Expediente', 'gobpress_theme' ),
	    'search_items'          => __( 'Buscar Expedientes', 'gobpress_theme' ),
	    'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
	    'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
	    'items_list'            => __( 'Listado de Expedientes', 'gobpress_theme' ),
	    'items_list_navigation' => __( 'Listado de Expedientes navegacion', 'gobpress_theme' ),
	    'filter_items_list'     => __( 'Filtar Listado de Expedientes', 'gobpress_theme' ),
	  );
	  $args = array(
	    'label'                 => __( 'Perfil del Contratante', 'gobpress_theme' ),
	    'description'           => __( 'erfil del Contratante', 'gobpress_theme' ),
	    'labels'                => $labels,
	    'supports'              => array( 'title', 'editor', 'thumbnail', ),
	    'hierarchical'          => true,
	    'public'                => true,
	    'show_ui'               => true,
	    'show_in_menu'          => true,
	    'menu_position'         => 5,
	    'menu_icon'             => 'dashicons-clipboard',
	    'show_in_admin_bar'     => true,
	    'show_in_nav_menus'     => true,
	    'can_export'            => true,
	    'has_archive'           => true,    
	    'exclude_from_search'   => false,
	    'publicly_queryable'    => true,
	    'capability_type'       => 'page',
	  );
	  register_post_type( 'perfilcontratante', $args );

	}
	add_action( 'init', 'type_perfil', 0 );

}

/***** Campos Personalizados: Perfil del Contratante ***/
add_action( 'cmb2_admin_init', 'cmb2_perfilcontrante' );

function cmb2_perfilcontrante() {

    $prefix = '_perfil_';
    $cmb = new_cmb2_box( array(
        'id'            => 'datos_perfil',
        'title'         => __( 'Datos del  Perfil del Contratante', 'gobpress_theme' ),
        'object_types'  => array( 'perfilcontratante', ), 
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, 
        'closed'     => false, 
    ) );



    // Expediente
    $cmb->add_field( array(
        'name'    => __( 'Referencia o Número de Expediente', 'gobpress_theme' ),
        'id'      => $prefix .'expediente',
        'show_names' => 'Referencia Expediente',
        'type'    => 'text_small',
        'attributes'  => array(
            'cols'        => 3            
        ),

    ) );

    // Estado del Expediente
    $cmb->add_field( array(
        'name'    => __( 'Estado del Expediente', 'gobpress_theme' ),
        'id'      => $prefix .'estado',
        'type'    => 'select',
        'show_option_none' => true,
        'default'          => 'activo',
        'options'          => array(
           'activo'   => __( 'Activo', 'gobpress_theme' ),
           'paralizado' => __( 'Paralizado', 'gobpress_theme' ),
           'finalizado'     => __( 'Finalizado', 'gobpress_theme' ),
       ),

    ) );

    //Documentos del Expediente (Grupo)

    $group_field_id = $cmb->add_field( array(
        'id'          => 'documentos_repeat_group',
        'type'        => 'group',
        'description' => __( 'Documentos del Expediente', 'gobpress_theme' ),
            'repeatable'  => true, // use false if you want non-repeatable group
        'options'     => array(
            'group_title'   => __( 'Documento {#}', 'gobpress_theme' ), // since version 1.1.4, {#} gets replaced by row number
            'add_button'    => __( 'Aañadir otro documento', 'gobpress_theme' ),
            'remove_button' => __( 'Borrar Documento', 'gobpress_theme' ),
            'sortable'      => true, // beta
            'closed'     => false, // true to have the groups closed by default
        ),
    ) );

    // fecha y documento
    $cmb->add_group_field( $group_field_id,array(
        'name'    => __( 'Fecha', 'gobpress_theme' ),
        'id'      => 'fecha',
        'type'    => 'text_date_timestamp',
        'date_format' => 'd/m/Y',
    ) );
    $cmb->add_group_field( $group_field_id, array(
        'name'    => __( 'Documento', 'gobpress_theme' ),
        'id'   => 'documento',
        'type' => 'file',
    ) );
    

}


/**** Personalización de columnas del escritorio ****/

function perfilcontratante_edit_columns($columns){
   $columns = array(
                    "cb" => "<input type='checkbox' />",
                    "expediente" => __("Expediente", 'gobpress_theme' ),
                    "title" => __("Título", 'gobpress_theme' ),
                    "categoria" => __("Categoría", 'gobpress_theme' ),
                    "estado" => __("Estado", 'gobpress_theme' )
                   );

   return $columns;
}

function perfilcontratante_custom_columns($column){
  global $post;
  switch ($column){
                 case "expediente":
                    $expediente = get_post_meta( get_the_ID(), '_perfil_expediente', true );
                    echo ('<a href="post.php?post='.get_the_ID().'&action=edit">'.$expediente.'</a>');
                 break;
                 case "estado":
                    $estado = get_post_meta( get_the_ID(), '_perfil_estado', true );
                    echo ('<i class="dashicons dashicons-flag '.$estado.'"></i>'.$estado);
                 break;
                 case "categoria":
                     echo get_the_term_list($post->ID, 'categoriasperfil', '', ', ','');
                 break;              
   }
}

add_filter("manage_edit-perfilcontratante_columns", "perfilcontratante_edit_columns");
add_action("manage_perfilcontratante_posts_custom_column",  "perfilcontratante_custom_columns");


/**** Establecemos un control de campo select para realizar filtros por categoría ****/



function perfil_filter_list() {
   global $typenow, $wp_query;
   if ($typenow=='perfilcontratante') {
      wp_dropdown_categories(array(
                                   'show_option_all' => 'Todas las Categorías',
                                   'taxonomy' => 'categoriasperfil',
                                   'name' => 'categoriasperfil',
                                   'orderby' => 'name',
                                   'selected' =>( isset( $wp_query->query['categoriasperfil'] ) ? $wp_query->query['categoriasperfil'] : '' ),
                                   'hierarchical' => true,
                                   'depth' => 3,
                                   'show_count' => false,
                                   'hide_empty' => true,
                            ));

  }
}

function perfil_perform_filtering( $query ){
   $qv = &$query->query_vars;
   if ( isset($_GET['categoriasperfil']) ) {
   if (( $qv['categoriasperfil'] ) && is_numeric( $qv['categoriasperfil'] ) ) {
      $term = get_term_by( 'id', $qv['categoriasperfil'], 'categoriasperfil' );
      $qv['categoriasperfil'] = $term->slug;
    }
    }
}


if ( $post_type == 'perfilcontratante' ) {
   add_action( 'restrict_manage_posts','perfil_filter_list');
   add_filter( 'parse_query','perfil_perform_filtering');
}





/************* FIN Tipo: Perfil Contratante ********************/




/************* Tipo: Transparencia Municipal ********************/

if ( ! function_exists('type_transparencia') ) {

    function type_transparencia() {

      $labels = array(
        'name'                  => _x( 'Transparencia Municipal', 'Post Type General Name', 'gobpress_theme' ),
        'singular_name'         => _x( 'Transparencia Municipal', 'Post Type Singular Name', 'gobpress_theme' ),
        'menu_name'             => __( 'Transparencia Municipal', 'gobpress_theme' ),
        'name_admin_bar'        => __( 'Transparencia Municipal', 'gobpress_theme' ),
        'parent_item_colon'     => __( 'Indicador Superior:', 'gobpress_theme' ),
        'all_items'             => __( 'Todos', 'gobpress_theme' ),
        'add_new_item'          => __( 'Añadir Indicador', 'gobpress_theme' ),
        'add_new'               => __( 'Añadir Nuevo', 'gobpress_theme' ),
        'new_item'              => __( 'Nuevo Indicador', 'gobpress_theme' ),
        'edit_item'             => __( 'Editar Indicador', 'gobpress_theme' ),
        'update_item'           => __( 'Actualizar Indicador', 'gobpress_theme' ),
        'view_item'             => __( 'Ver Indicador', 'gobpress_theme' ),
        'search_items'          => __( 'Buscar Indicador', 'gobpress_theme' ),
        'not_found'             => __( 'No Encontrado', 'gobpress_theme' ),
        'not_found_in_trash'    => __( 'No se ha encontrado en la papelera', 'gobpress_theme' ),
        'items_list'            => __( 'Listado de Indicadores', 'gobpress_theme' ),
        'items_list_navigation' => __( 'Listado de Indicadores navegacion', 'gobpress_theme' ),
        'filter_items_list'     => __( 'Filtar Listado de Indicadores', 'gobpress_theme' ),
      );
      $args = array(
        'label'                 => __( 'Transparencia Municipal', 'gobpress_theme' ),
        'description'           => __( 'Indicadores de la Trasparencia Municipal', 'gobpress_theme' ),
        'labels'                => $labels,
        'supports'              => array( 'title', 'editor','page-attributes'),
        'hierarchical'          => true,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 5,
        'menu_icon'             => 'dashicons-welcome-view-site',
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,    
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
      );
      register_post_type( 'transparencia', $args );

    }
    add_action( 'init', 'type_transparencia', 0 );

}

/***** Campos Personalizados: Transparencia Municipal ***/
add_action( 'cmb2_admin_init', 'cmb2_transparencia' );

function cmb2_transparencia() {

    $prefix = '_transparencia_';

    $cmb = new_cmb2_box( array(
        'id'            => 'datos_transparencia',
        'title'         => __( 'Datos adicionales del Indicador', 'gobpress_theme' ),
        'object_types'  => array( 'transparencia', ), 
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, 
        'closed'     => false, 
    ) );

    
    // Url más información
    $cmb->add_field( array(
        'name'    => __( 'Url para más información', 'gobpress_theme' ),
        'id'      => $prefix .'url',
        'type'    => 'text_url'
    ) );
    
    $cmb->add_field( array(
        'name'    => __( 'Documentos Asociados', 'gobpress_theme' ),
        'id'      => $prefix .'documentos',
        'type' => 'file_list',
        'preview_size' => array( 100, 100 ),  
        'options' => array(
            'add_upload_files_text' => 'Añadir o subir documentos', // default: "Add or Upload Files"
            'remove_image_text' => 'Borrar documento', // default: "Remove Image"
            'file_text' => 'Archivo:', // default: "File:"
            'file_download_text' => 'Descargar', // default: "Download"
            'remove_text' => 'Eliminar', // default: "Remove"
            ),
    ) );


}

/*************  FIN Tipo: Transparencia ********************/







/***** Campos Personalizados: Para entradas y Páginas ***/
add_action( 'cmb2_admin_init', 'cmb2_camposadicionales' );

function cmb2_camposadicionales() {

    $prefix = '_gobpress_';
    $cmb = new_cmb2_box( array(
        'id'            => 'datos_adicionales',
        'title'         => __( 'Datos Adicionales', 'gobpress_theme' ),
        'object_types'  => array( 'post','page'), 
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, 
        'closed'     => false
     ) );



    // Galería de Fotos
    $cmb->add_field( array(
        'name'    => __( 'Galería de Imágenes', 'gobpress_theme' ),
        'id'      => $prefix .'galeria',
        'type' => 'file_list',
        'preview_size' => array( 100, 100 ),  
        'options' => array(
            'add_upload_files_text' => 'Añadir o subir imágenes', // default: "Add or Upload Files"
            'remove_image_text' => 'Borrar Imagen', // default: "Remove Image"
            'file_text' => 'Archivo:', // default: "File:"
            'file_download_text' => 'Descargar', // default: "Download"
            'remove_text' => 'Eliminar', // default: "Remove"
            ),
    ) );


    // Documentos Adicionales
    $cmb->add_field( array(
        'name'    => __( 'Documentos Asociados', 'gobpress_theme' ),
        'id'      => $prefix .'documentos',
        'type' => 'file_list',
        'preview_size' => array( 100, 100 ),  
        'options' => array(
            'add_upload_files_text' => 'Añadir o subir documentos', // default: "Add or Upload Files"
            'remove_image_text' => 'Borrar documento', // default: "Remove Image"
            'file_text' => 'Archivo:', // default: "File:"
            'file_download_text' => 'Descargar', // default: "Download"
            'remove_text' => 'Eliminar', // default: "Remove"
            ),
    ) );



}

/************* FIN Tipo: Perfil Contratante ********************/

	

?>
