<?php

/* GobPress Custom Widget Library

Este archivo contiene toda la programación
de los widget personalizados que emplea el tema.

Developed by: Javier Feijoo
URL:
*/

// Widget Categorias Perfil Contrante (ejemplo de desarrollo de un widget)
class categorias_perfil_widget extends WP_Widget {

function __construct() {
parent::__construct(
// Base ID of your widget
'wcp_widget', 

// Widget name will appear in UI
__('Categorías Perfil Contratante', 'gobpress_theme'), 

// Widget description
array( 'description' => __( 'Menú con las categorías', 'gobpress_theme' ), ) 
);
}

// Creating widget front-end
// This is where the action happens
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if (empty($title)) {
	$title = __( 'Perfil del Contratante', 'gobpress_theme' );
}
echo $args['before_title'] . $title . $args['after_title'];

// This is where you run the code and display the output
    $filter = array(
	'taxonomy'           => 'categoriasperfil',
	'title_li' => null,
	'style' => 'none',
	'use_desc_for_title' => 1
    );
    wp_list_categories( $filter ); 
echo $args['after_widget'];
}
		
// Widget Backend 
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = __( 'Título Categorías Perfil', 'gobpress_theme' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Título:' ); ?></label> 
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php 
}
	
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
} // Class wpb_widget ends here

// Register and load the widget
function wcp_load_widget() {
	register_widget( 'categorias_perfil_widget' );
}
add_action( 'widgets_init', 'wcp_load_widget' );

?>