<?php
/* GobPress Shorcode Library

Este archivo contiene toda la programación
de los shortcode empleados en el tema, incluyendo
las consultas necesarias.

Developed by: Javier Feijoo
URL:
*/


/***********************************************
**** SHORTCODE: PERSONAL DE UNA CATEGORIA ******
***********************************************/
// Función consulta y mostrar

function listado_personal_categoria( $atts){

	extract(shortcode_atts(array(
                'format'=> '',
                'cat'=> '',              
                
        ), $atts));
 
	$args = array(
		'orderby' => 'ID',
		'order' => 'ASC',
		'post_type' => 'personal',
		'tax_query' => array(
			array(
				'taxonomy' => 'categoriaspersonal',
				'field' => 'id',
				'terms' => explode(',',$cat)//recogemos todas las categorias pasadas
			)
		)
	);

	$the_query = new WP_Query( $args );
	$result= '';
  
	// The Loop
 
	while ( $the_query->have_posts() ) :

		$the_query->the_post();

		if ( $format=='full') {
			//mostramos listado completo si existe este parámetro
			$email = get_post_meta( get_the_ID(), '_personal_email', true );
			$telefono = get_post_meta( get_the_ID(), '_personal_telefono', true );
			$puesto = get_post_meta( get_the_ID(), '_personal_puestotrabajo', true );
			$categorial = get_post_meta( get_the_ID(), '_personal_categorialaboral', true );
			$retribuciones = get_post_meta( get_the_ID(), '_personal_retribuciones', true );
			$foto = wp_get_attachment_image( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'thumb-c150',0,array("class"=>"alignleft"));
			$fotosrc = wp_get_attachment_image_src( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'full');
			$curriculum = wp_get_attachment_url( get_post_meta( get_the_ID(), '_personal_curriculum_id', 1 ));
			$riab = wp_get_attachment_url( get_post_meta( get_the_ID(), '_personal_riab_id', 1 ));

			$result.= '<div class="cf ficha">';	
			$result.= '<a href="'.$fotosrc[0].'" title="'.get_the_title().'" rel="gallery">'.$foto.'</a>';		
			$result.= '<div class="datos_ficha">';
			$result.= '<h3>'.get_the_title().'</h3>';
			$result.= '<p><span class="tituloapartado">Puesto / Cargo:</span><br/>'.$puesto.'</p>';
			$result.= '<p><span class="tituloapartado">Categoría Laboral:</span><br/>'.$categorial.'</p>';
			$result.= '<p><i class="fa fa-phone"></i> '.$telefono.'<br/>';	
			$result.= '<i class="fa fa-envelope "></i> '.$email.'</p>';	
			$result.= '<p><span class="tituloapartado">Documentación:</span><br/>';	
			$result.= '<a href="'.$curriculum.'"  target="_blank" title="Curriculum Personal"><i class="fa fa-download "></i> Curriculum Personal</a><br/>';	
			$result.= '<a href="'.$riab.'" target="_blank" title="Registro de Intereses y Bienes"><i class="fa fa-download "></i> Registro de Intereses y Bienes</a></p>';	
			$result.= '<p><span class="tituloapartado">Retribuciones:</span><br/>';	
			$result.= '<i class="fa fa-money"></i> '.$retribuciones.'</p>';									
			$result.= '</div></div>';
		
		}
		else{
			//mostramos listado básico	
			$foto = wp_get_attachment_image( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'thumb-c75');
			$email = get_post_meta( get_the_ID(), '_personal_email', true );
			$puesto = get_post_meta( get_the_ID(), '_personal_puestotrabajo', true );			
			$result.= '
			<div class="cf ficha">
			<a href="'. get_permalink(get_the_ID()). '">'.$foto.'</a>
			<div class="datos_ficha">
			<span class="titulo_persona"><a href="'. get_permalink(get_the_ID()). '">'. get_the_title() .'</a></span><br/>'.$puesto;
			if ($email<>"") {
				$result.='<br/><i class="fa fa-envelope" title="correo electrónico"></i> '.$email;
			}
			$result.='</div></div>';						
		}
		
  	endwhile;
  	wp_reset_postdata();
  	return $result; 


	
}

add_shortcode('listar_personal', 'listado_personal_categoria');


/**********************************************
**** SHORTCODE: FICHA DE UNA PERSONA     ******
***********************************************/
// Función consulta y mostrar

function mostrar_persona( $atts){

	extract(shortcode_atts(array(
                'id'=> '', 
                'format' => ''         
        ), $atts));
 
	$args = array(
		'post_type' => 'personal',
		'post__in' => explode(',',$id) //recogemos todos los id pasados
	);

	$the_query = new WP_Query( $args );
	$result = '';
  
	// The Loop
	
 
	if ($the_query->have_posts()) {

			//mostramos la ficha
		while ( $the_query->have_posts() ) :
			$the_query->the_post();	

			$email = get_post_meta( get_the_ID(), '_personal_email', true );
			$telefono = get_post_meta( get_the_ID(), '_personal_telefono', true );
			$puesto = get_post_meta( get_the_ID(), '_personal_puestotrabajo', true );
			$categorial = get_post_meta( get_the_ID(), '_personal_categorialaboral', true );
			$retribuciones = get_post_meta( get_the_ID(), '_personal_retribuciones', true );
			$foto = wp_get_attachment_image( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'thumb-c150',0,array("class"=>"alignleft"));
			$fotosrc = wp_get_attachment_image_src( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'full');
			$curriculum = wp_get_attachment_url( get_post_meta( get_the_ID(), '_personal_curriculum_id', 1 ));
			$riab = wp_get_attachment_url( get_post_meta( get_the_ID(), '_personal_riab_id', 1 ));

			if ($format=='full'){

				$result.='<div class="cf ficha_personal">';	
				$result.='<a href="'.$fotosrc[0].'" title="'.get_the_title().'" rel="gallery">'.$foto.'</a>';		
				
				$result.='<div class="datos_ficha">';
				
				if ($puesto<>""){$result.='<p><span class="tituloapartado">Puesto / Cargo:</span><br/>'.$puesto.'</p>';}
				if ($categorial<>""){$result.='<p><span class="tituloapartado">Categoría Laboral:</span><br/>'.$categorial.'</p>';}
				
				$result.='<p>';
				if ($telefono<>""){$result.='<i class="fa fa-phone"></i> '.$telefono.'<br/>';}	
				if ($email<>""){$result.='<i class="fa fa-envelope "></i> '.$email;}
				$result.='</p>';

				if ($curriculum<>"" || $riab<>""){
					$result.='<p><span class="tituloapartado">Documentación:</span><br/>';
					if ($curriculum<>""){$result.='<a href="'.$curriculum.'"  target="_blank" title="Curriculum Personal"><i class="fa fa-download "></i> Curriculum Personal</a><br/>';}
					if ($riab<>""){$result.='<a href="'.$riab.'" target="_blank" title="Registro de Intereses y Bienes"><i class="fa fa-download "></i> Registro de Intereses y Bienes</a>';}
					$result.='</p>';
				}
				

				if ($retribuciones<>"0" && $retribuciones<>""){$result.='<p><span class="tituloapartado">Retribuciones:</span><br/><i class="fa fa-money"></i> '.$retribuciones.'</p>';	}
				$result.='</div></div>';

			} else {
				$result.= '<div class="cf ficha">';	
				$result.= $foto;		
				$result.= '<div class="datos_ficha"><h3><a href="'. get_permalink(get_the_ID()). '">'.get_the_title().'</a></h3>';
				$result.= '<p>'.$puesto.'</br>';
				if ($telefono<>"") { $result.= '<i class="fa fa-phone"></i> '.$telefono.' | ';}	
				if ($email<>"") { $result.= '<i class="fa fa-envelope "></i> '.$email;}
				$result.= '</p></div></div>';

			}

		endwhile;
		
  	}
  	
	wp_reset_postdata();
  	return $result; 

	
}

add_shortcode('ficha_persona', 'mostrar_persona');






/***********************************************
**** SHORTCODE: UNO O VARIOS DOCUMENTOS   ******
***********************************************/
// Función consulta y mostrar

function mostrar_documentos( $atts){

	extract(shortcode_atts(array(
                'id'=> '',          
        ), $atts));
 
 	$args = array(
		'post_type' => 'basedocumental',
		'post__in' => explode(',',$id) //recogemos todos los id pasados
	);

	$the_query = new WP_Query( $args );
  	$result='';
	// The Loop
	while ( $the_query->have_posts() ) :
		$the_query->the_post();	
		$fecha = new DateTime("@".get_post_meta( get_the_ID(), '_documentos_fecha', true ));
		$archivo = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_archivo_id', 1 ));
		$media = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_media_id', 1 ));
		$fechapub = date_format($fecha,"d/m/Y");
		$result.= '
		<div class="cf ficha">
		<p class="titulodocumento"><span class="fechadoc">'.$fechapub.'</span>&nbsp;&nbsp;-&nbsp;&nbsp;<a href="'. get_permalink(get_the_ID()). '">'. get_the_title() .'</a></p>';
		if ($archivo<>''){
			$result.= '&nbsp;&nbsp<a href="'. $archivo. '" target="_blank"><button class="blue-btn"><i class="fa fa-download"></i>  documento</button></a>&nbsp;&nbsp';
		}
										
		if ($media<>''){
			$result.='&nbsp;&nbsp<a href="'. $media. '" target="_blank"><button  class="blue-btn"><i class="fa fa-music"></i>  media</button></a>&nbsp;&nbsp';
		}
		$result.='</div>';
		//echo ($result);
		
  	endwhile;
	wp_reset_postdata();
	return $result;

	
}
add_shortcode('documento', 'mostrar_documentos');



/************************************************
**** SHORTCODE:  DOCUMENTOS DE UNA CATEGORIA ****
************************************************/
// Función consulta y mostrar

function mostrar_categoriadocumentos( $atts){

	extract(shortcode_atts(array(
                'cat'=> '',          
        ), $atts));
 
 	$args = array(
		'post_type' => 'basedocumental',
		'tax_query' => array(
			array(
				'taxonomy' => 'categoriasdocumentos',
				'field' => 'id',
				'terms' => explode(',',$cat), //recogemos todas las categorias pasadas
		))

	);



	$the_query = new WP_Query( $args );
	
	if ($the_query->have_posts()) {
		$result= '<table>';


		// The Loop
		while ( $the_query->have_posts() ) :
			$the_query->the_post();						
			
			$fecha = new DateTime("@".get_post_meta( get_the_ID(), '_documentos_fecha', true ));
			$archivo = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_archivo_id', 1 ));
			$media = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_media_id', 1 ));
			$fechapub = date_format($fecha,"d/m/Y");
			$result.= '<tr><td>'.$fechapub.'</td><td><a href="'. get_permalink(get_the_ID()). '" title="'.get_the_title().'">'. get_the_title() .'</a></td>';
			if ($archivo<>''){
				$result.= '<td><a href="'. $archivo. '" target="_blank" title="Descargar documento"><button class="blue-btn"><i class="fa fa-download"></i></button></a></td>';
			}
											
			if ($media<>''){
				$result.='<td><a href="'. $media. '" target="_blank" title="Descargar archivo multimedia"><button class="blue-btn"><i class="fa fa-music"></i></button></a></td>';
			}
			else {$result.='<td></td>';} 

			$result.='</tr>';
			
	  	endwhile;
		$result.='</table>';
		//echo ($result);
		wp_reset_postdata();

		return $result;
	}

}
add_shortcode('listado_documentos', 'mostrar_categoriadocumentos');


/***********************************************
**** SHORTCODE: RECURSOS                  ******
***********************************************/
// Función consulta y mostrar

function mostrar_recurso( $atts){

	extract(shortcode_atts(array(
                'id'=> ''       
        ), $atts));
 
	$args = array(
		'post_type' => 'recursos',
		'post__in' => explode(',',$id) //recogemos todos los id pasados
	);
	$result = '';
	$the_query = new WP_Query( $args );
  
	// The Loop
	if ($the_query->have_posts()) {

			//mostramos la ficha
		while ( $the_query->have_posts() ) :
			$the_query->the_post();	

			$direccion = get_post_meta( get_the_ID(), '_recursos_direccion', true );
			$email = get_post_meta( get_the_ID(), '_recursos_email', true );
			$telefono = get_post_meta( get_the_ID(), '_recursos_telefono', true );
			$lugar = get_post_meta( get_the_ID(), '_recursos_lugar', true );
			$contacto = get_post_meta( get_the_ID(), '_recursos_contacto', true );
			$url= get_post_meta( get_the_ID(), '_recursos_url', true );
			$imagenpeque= wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumb-c150' );
			

			$result.= '<div class="cf ficha">';	
			$result.= '<a href="'. get_permalink(get_the_ID()). '" title="'.get_the_title().'"><img src="'.$imagenpeque[0].'" class="alignleft"/></a>';		
			$result.= '<div class="datos_ficha"><h4><a href="'. get_permalink(get_the_ID()). '">'.get_the_title().'</a></h4>';
			$result.= '<p>'.$direccion.' - '.$lugar.'</br>';
			if ($telefono<>""){
				$result.= '<i class="fa fa-phone"></i> '.$telefono.' | ';	
			}
			if ($email<>""){
				$result.= '<i class="fa fa-envelope "></i> '.$email;	
			}
			$result.= '</p>';
			$result.= '<a href="'. get_permalink(get_the_ID()). '"><button class="blue-btn">Más información</button></a>';	
			$result.= '</div></div>';


		endwhile;
		
  	}
	wp_reset_postdata();
  	return $result; 

	
}

add_shortcode('ficha_recurso', 'mostrar_recurso');



/****************************************************
**** SHORTCODE:  TEMÁTICA(S) PREGUNAS FRECUENTES ****
*****************************************************/
// Función consulta y mostrar

function mostrar_faqtematica( $atts){

	extract(shortcode_atts(array(
                'cat'=> '',          
        ), $atts));
 
 	$args = array(
		'post_type' => 'faq',
		'tax_query' => array(
			array(
				'taxonomy' => 'tematica',
				'field' => 'slug',
				'terms' => explode(',',$cat) //recogemos todas las categorias pasadas
			)
		)		
	);

	$the_query = new WP_Query( $args );
	
	if ($the_query->have_posts()) {
		$result= '<div class="accordion">';


		// The Loop
		while ( $the_query->have_posts() ) :
			$the_query->the_post();						
			
			$result.= '<h3><a href="'. get_permalink(get_the_ID($post->ID)). '">'.get_the_title().'</h3>';
			$result.= '<div class="cf">'.do_shortcode(get_the_content()).'</div>';

				
	  	endwhile;
		$result.='</div>';
		//echo ($result);
		wp_reset_postdata();

		return $result;
	}

}
add_shortcode('faq', 'mostrar_faqtematica');












/**********************************************
**** SHORTCODE: FORMULARIO DE CONTACTO  ******
idea and source: http://code.tutsplus.com/articles/creating-a-simple-contact-form-for-simple-needs--wp-27893
***********************************************/
// Función consulta y mostrar
function contact_form_sc( $atts ) {
 
extract( shortcode_atts( array(
    // if you don't provide an e-mail address, the shortcode will pick the e-mail address of the admin:
    "email" => get_bloginfo( 'admin_email' ),
    "subject" => "",
    "label_name" => "Su Nombre",
    "label_email" => "Su e-Mail",
    "label_subject" => "Asunto",
    "label_message" => "Su comentario o mensaje",
    "label_submit" => "Enviar",
    // the error message when at least one of the required fields are empty:
    "error_empty" => "Por favor debe rellenar los campos requeridos (*).",
    // the error message when the e-mail address is not valid:
    "error_noemail" => "Verifique su dirección de correo.",
 	// the error message when the human code is empty or not correct:
    "error_humancode" => "Debes responder a la cuestión para verificar que no eres un robot",
    // and the success message when the e-mail is sent:
    "success" => "Gracias por cantactar. En breve nos pondremos en contacto.",
    "id" =>"",
    "humancode" =>"",

), $atts ) );


// if the parameter is an ID of personal (custom type) change the destination email.
if ($id<>""){
	//echo $id;
	$args = array(
			'post_type' => 'personal',	
			'p' => $id
	);

	$temp_query = new WP_Query($args); 
	if($temp_query->have_posts()){
		$temp_query->the_post();
		$email = get_post_meta( get_the_ID(), '_personal_email', true );	
	} 
	wp_reset_postdata();
	}


// if the <form> element is POSTed, run the following code
if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
    $error = false;
    // set the "required fields" to check
    $required_fields = array( "your_name", "email", "message", "subject","humancode");
 
    // this part fetches everything that has been POSTed, sanitizes them and lets us use them as $form_data['subject']
    foreach ( $_POST as $field => $value ) {
        if ( get_magic_quotes_gpc() ) {
            $value = stripslashes( $value );
        }
        $form_data[$field] = strip_tags( $value );
    }
 
    // if the required fields are empty, switch $error to TRUE and set the result text to the shortcode attribute named 'error_empty'
    foreach ( $required_fields as $required_field ) {
        $value = trim( $form_data[$required_field] );
        if ( empty( $value ) ) {
            $error = true;
            $result = $error_empty;
        }
    }
 
    // if the e-mail is not valid, switch $error to TRUE and set the result text to the shortcode attribute named 'error_noemail'
    if ( ! is_email( $form_data['email'] ) ) {
        $error = true;
        $result = $error_noemail;
    }


     // and if the human code is empty or not valid, switch $error to TRUE 
    if ($form_data['humancode']<>"14") {
        $error = true;
        $result = $error_humancode;
    }
 

    // but if $error is still FALSE, put together the POSTed variables and send the e-mail!
    if ( $error == false ) {
        // get the website's name and puts it in front of the subject
        $email_subject = "[" . get_bloginfo( 'name' ) . "] " . $form_data['subject'];
        // get the message from the form and add the IP address of the user below it
        $email_message = $form_data['message'];
        // set the e-mail headers with the user's name, e-mail address and character encoding
        $headers  = "From: " . $form_data['your_name'] . " <" . $form_data['email'] . ">\n";
        $headers .= "Content-Type: text/plain; charset=UTF-8\n";
        $headers .= "Content-Transfer-Encoding: 8bit\n";
        // send the e-mail with the shortcode attribute named 'email' and the POSTed data
        wp_mail( $email, $email_subject, $email_message, $headers );
        // and set the result text to the shortcode attribute named 'success'
        $result = $success;
        // ...and switch the $sent variable to TRUE
        $sent = true;
    }
}

// if there's no $result text (meaning there's no error or success, meaning the user just opened the page and did nothing) there's no need to show the $info variable
if ( $result != "" ) {
    $info = '<div class="info">' . $result . '</div>';
}
// anyways, let's build the form! (remember that we're using shortcode attributes as variables with their names)
$email_form = '<form class="contact-form" method="post" action="' . get_permalink() . '">
    <div>
        <label for="cf_name">' . $label_name . ' (*):</label>
        <input type="text" name="your_name" id="cf_name" size="50" maxlength="50" value="' . $form_data['your_name'] . '" />
    </div>
    <div>
        <label for="cf_email">' . $label_email . ' (*):</label>
        <input type="text" name="email" id="cf_email" size="50" maxlength="50" value="' . $form_data['email'] . '" />
    </div>
    <div>
        <label for="cf_subject">' . $label_subject . ' (*):</label>
        <input type="text" name="subject" id="cf_subject" size="50" maxlength="50" value="' . $subject . $form_data['subject'] . '" />
    </div>
    <div>
        <label for="cf_message">' . $label_message . ' (*):</label>
        <textarea name="message" id="cf_message" cols="50" rows="15">' . $form_data['message'] . '</textarea>
    </div>
  
    <div>
        <label for="cf_humancode">Verficación Anti-Spam</label>
        10 + 4 = <input type="text" name="humancode" id="cf_humancode" size="5" maxlength="5" />
    </div>
	<div>
        <button type="submit" class="blue-btn" name="send" id="cf_send">'.$label_submit.'</button>
    </div>
</form>';


if ( $sent == true ) {
    return $info;
} else {
    return $info . $email_form;
}
return $info . $email_form;
}

add_shortcode( 'contactar', 'contact_form_sc' );
?>