<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 */
function optionsframework_option_name() {
	// Change this to use your theme slug
	// This gets the theme name from the stylesheet
	$themename = wp_get_theme();
	$themename = preg_replace("/W/", "_", strtolower($themename) );
	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'theme-textdomain'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */

function optionsframework_options() {

	//Pestaña Datos de la Entidad
	$options[] = array(
    	'name' => __('Datos de la Entidad', 'gobpress_theme'),
     	'type' => 'heading');

		//Logotipo o Imagen de Marca
		$options[] = array(
		     'name' => __('Logotipo', 'gobpress_theme'),
		     'desc' => __('Selecciona el logo a mostrar en la web, tamaño máximo 300 x 125px.', 'gobpress_theme'),
		     'id' => 'logo_entidad',
		     'type' => 'upload');


		//Dirección Entidad
		$options[] = array(
			'name' => __( 'Dirección de la Entidad', 'gobpress_theme' ),
			'id' => 'direccion_entidad',
			'placeholder' => 'ejemplo: plaza mayor 5, 32660 Allariz Ourense',
			'type' => 'text');		


		//Teléfono Entidad
		$options[] = array(
			'name' => __( 'Teléfono de la Entidad', 'gobpress_theme' ),
			'id' => 'telefono_entidad',
			'type' => 'text');		


		//Fax Entidad
		$options[] = array(
			'name' => __( 'Fax de la Entidad', 'gobpress_theme' ),
			'id' => 'fax_entidad',
			'type' => 'text');		


		//Correo Electrónico Entidad
		$options[] = array(
			'name' => __( 'Correo Electronico de la Entidad', 'gobpress_theme' ),
		     'desc' => __('Este correo se empleará también en los formularios de contacto', 'gobpress_theme'),
			'id' => 'mail_entidad',
			'type' => 'text');		

	//Pestaña REDES SOCIALES
	$options[] = array(
	'name' => __('Redes Sociales', 'gobpress_theme'),
	'type' => 'heading');

		$options[] = array(
		'name' => __( 'Información Importante', 'gobpress_theme' ),
		'desc' => __( 'Debes introducir la url completa (http://...). Si está en blanco no aparecerá el icono ni los enlaces a esas redes sociales.', 'gobpress_theme' ),
		'type' => 'info');

		//Facebook
		$options[] = array(
			'name' => __( 'Enlace a cuenta Facebook', 'gobpress_theme' ),
			'id' => 'fb_entidad',
			'type' => 'text'
		);		

		//Twitter
		$options[] = array(
			'name' => __( 'Enlace a cuenta Twitter', 'gobpress_theme' ),
			'id' => 'tw_entidad',
			'type' => 'text'
		);		

		//Google+
		$options[] = array(
			'name' => __( 'Enlace a cuenta Google+ ', 'gobpress_theme' ),
			'id' => 'gg_entidad',
			'type' => 'text'
		);		

		//Youtube
		$options[] = array(
			'name' => __( 'Enlace a cuenta Youtube', 'gobpress_theme' ),
			'id' => 'yt_entidad',
			'type' => 'text'
		);		


	return $options;
}