<?php
/*
 * CUSTOM POST TYPE TEMPLATE
 *
 * This is the custom post type post template. If you edit the post type name, you've got
 * to change the name of this template to reflect that name change.
 *
 * For Example, if your custom post type is "register_post_type( 'bookmarks')",
 * then your single template should be single-bookmarks.php
 *
 * Be aware that you should rename 'custom_cat' and 'custom_tag' to the appropiate custom
 * category and taxonomy slugs, or this template will not finish to load properly.
 *
 * For more info: http://codex.wordpress.org/Post_Type_Templates
*/
?>

<?php get_header(); ?>

			<div id="content">

				<div id="inner-content" class="wrap cf">

						<main id="main" class="m-all t-2of3 d-5of7 cf" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class('cf'); ?> role="article">

								<header class="article-header">

									<h1 class="single-title custom-post-type-title"><?php the_title(); ?></h1>
			
								</header>

								<section class="entry-content cf">
									<?php						
									$fecha = new DateTime("@".get_post_meta( get_the_ID(), '_documentos_fecha', true ));
									$archivo = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_archivo_id', 1 ));
									$media = wp_get_attachment_url( get_post_meta( get_the_ID(), '_documentos_media_id', 1 ));
								    $fechapub = date_format($fecha,"d/m/Y");
								    $categorias = get_the_term_list( get_the_ID(),'categoriasdocumentos', '<ul class="ficha_categorias "><li class="ficha_categorias" >', '</li><li class="ficha_categorias" >', '</li></ul>');
									$result= '<div class="cf ficha"><h3><span class="fechadoc">'.$fechapub.'</span></h3>';
									echo ($result);	
									the_content();
									$result='<p>';
									if ($archivo<>''){
										$result.= '&nbsp;&nbsp<a href="'. $archivo. '" target="_blank"><button  class="blue-btn"><i class="fa fa-download"></i>  documento</button></a>&nbsp;&nbsp';
									}
										
									if ($media<>''){
										$result.='&nbsp;&nbsp<a href="'. $media. '" target="_blank"><button  class="blue-btn"><i class="fa fa-music"></i>  media</button></a>&nbsp;&nbsp';
									}
									$result.='</p>Archivado en:<br> <div class="ficha_categorias">'.$categorias.'</div></div>';
									echo ($result);		
									?>

								</section> <!-- end article section -->


								<?php comments_template(); ?>

							</article>

							<?php endwhile; ?>

							<?php else : ?>

									<article id="post-not-found" class="hentry cf">
										<header class="article-header">
											<h1><?php _e( 'Lo sentimos... entrada no encontrada!', 'gobpress_theme' ); ?></h1>
										</header>
										<section class="entry-content">
											<p><?php _e( 'Algo falla... por favor revisa en contenido.', 'gobpress_theme' ); ?></p>
										</section>
										<footer class="article-footer">
											<p><?php _e( 'Este error se ha generado en la plantilla individual de documentos (single-basedocumental.php).', 'gobpress_theme' ); ?></p>
										</footer>
									</article>

							<?php endif; ?>

						</main>

						<?php get_sidebar(); ?>

				</div>

			</div>

<?php get_footer(); ?>
