<?php
/*
 * CUSTOM POST TYPE TEMPLATE
 *
 * This is the custom post type post template. If you edit the post type name, you've got
 * to change the name of this template to reflect that name change.
 *
 * For Example, if your custom post type is "register_post_type( 'bookmarks')",
 * then your single template should be single-bookmarks.php
 *
 * Be aware that you should rename 'custom_cat' and 'custom_tag' to the appropiate custom
 * category and taxonomy slugs, or this template will not finish to load properly.
 *
 * For more info: http://codex.wordpress.org/Post_Type_Templates
*/
?>

<?php get_header(); ?>

			<div id="content">

				<div id="inner-content" class="wrap cf">

						<main id="main" class="m-all t-2of3 d-5of7 cf" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class('cf'); ?> role="article">

								<header class="article-header">

									<h1 class="single-title custom-post-type-title"><?php the_title(); ?></h1>
					
								</header>

								<section class="entry-content cf">
									<?php
										// the content (pretty self explanatory huh)
										

										$email = get_post_meta( get_the_ID(), '_personal_email', true );
										$telefono = get_post_meta( get_the_ID(), '_personal_telefono', true );
										$puesto = get_post_meta( get_the_ID(), '_personal_puestotrabajo', true );
										$categorial = get_post_meta( get_the_ID(), '_personal_categorialaboral', true );
										$retribuciones = get_post_meta( get_the_ID(), '_personal_retribuciones', true );
										$foto = wp_get_attachment_image( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'thumb-c150');
										$fotosrc = wp_get_attachment_image_src( get_post_meta( get_the_ID(), '_personal_fotografia_id', 1 ), 'full');
										$curriculum = wp_get_attachment_url( get_post_meta( get_the_ID(), '_personal_curriculum_id', 1 ));
										$riab = wp_get_attachment_url( get_post_meta( get_the_ID(), '_personal_riab_id', 1 ));

										echo ('<div class="cf ficha_personal">');	
										echo ('<a href="'.$fotosrc[0].'" title="'.get_the_title().'" rel="gallery">'.$foto.'</a>');		
										echo ('<div class="datos_ficha">');
										if ($puesto<>""){
											echo('<p><span class="tituloapartado">Puesto / Cargo:</span><br/>'.$puesto.'</p>');
										}
										if ($categorial<>""){	
											echo ('<p><span class="tituloapartado">Categoría Laboral:</span><br/>'.$categorial.'</p>');
										}
										
										echo ('<p>');
										if ($telefono<>""){echo ('<i class="fa fa-phone"></i> '.$telefono.'<br/>');}	
										if ($email<>""){echo ('<i class="fa fa-envelope "></i> '.$email);}
										echo ('</p>');

										if ($curriculum<>"" || $riab<>""){
											
											echo ('<p><span class="tituloapartado">Documentación:</span><br/>');

											if ($curriculum<>""){	
												echo ('<a href="'.$curriculum.'"  target="_blank" title="Curriculum Personal"><i class="fa fa-download "></i> Curriculum Personal</a><br/>');	
											}
											if ($riab<>""){
												echo ('<a href="'.$riab.'" target="_blank" title="Registro de Intereses y Bienes"><i class="fa fa-download "></i> Registro de Intereses y Bienes</a>');	
											}
											echo ('</p>');
										}
										if ($retribuciones<>"0" && $retribuciones<>""){
											echo ('<p><span class="tituloapartado">Retribuciones:</span><br/><i class="fa fa-money"></i> '.$retribuciones.'</p>');									
										}
										echo ('</div><div class="clearfix cf t-all m-all d-all">');
										the_content();
										echo ('</div></div>');

										if ($email<>""){

											echo ('<h2>Formulario de Contacto</h2>');
											echo do_shortcode('[contactar id="'.get_the_ID().'"]');


										}

									?>

								</section> <!-- end article section -->

								<footer class="article-footer">
									<h3>Categorías relacionadas</h3>
									<p class="tags"><?php echo get_the_term_list( get_the_ID(), 'categoriaspersonal', ' ', ', ' ) ?></p>
								</footer>

								<?php comments_template(); ?>

							</article>

							<?php endwhile; ?>

							<?php else : ?>

									<article id="post-not-found" class="hentry cf">
										<header class="article-header">
											<h1><?php _e( 'Lo sentimos... entrada no encontrada!', 'gobpress_theme' ); ?></h1>
										</header>
										<section class="entry-content">
											<p><?php _e( 'Algo falla... por favor revisa en contenido.', 'gobpress_theme' ); ?></p>
										</section>
										<footer class="article-footer">
											<p><?php _e( 'Este error se ha generado en la plantilla de personal (single-personal.php).', 'gobpress_theme' ); ?></p>
										</footer>
									</article>

							<?php endif; ?>

						</main>

						<?php get_sidebar(); ?>

				</div>

			</div>

<?php get_footer(); ?>
