<?php
/*
 * CUSTOM POST TYPE TEMPLATE
 *
 * This is the custom post type post template. If you edit the post type name, you've got
 * to change the name of this template to reflect that name change.
 *
 * For Example, if your custom post type is "register_post_type( 'bookmarks')",
 * then your single template should be single-bookmarks.php
 *
 * Be aware that you should rename 'custom_cat' and 'custom_tag' to the appropiate custom
 * category and taxonomy slugs, or this template will not finish to load properly.
 *
 * For more info: http://codex.wordpress.org/Post_Type_Templates
*/
?>

<?php get_header(); ?>

			<div id="content">

				<div id="inner-content" class="wrap cf">
					  	<div id="breadcrumbs">
					    	<?php if(function_exists('the_breadcrumbs')) the_breadcrumbs(); ?>
						</div>	

						<main id="main" class="m-all t-2of3 d-5of7 cf" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

							<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

							<article id="post-<?php the_ID(); ?>" <?php post_class('cf'); ?> role="article">

								<header class="article-header">

									<h1 class="single-title custom-post-type-title"><?php the_title(); ?></h1>
					
								</header>

								<section class="entry-content cf">
										
									<?php
										$direccion = get_post_meta( get_the_ID(), '_recursos_direccion', true );
										$email = get_post_meta( get_the_ID(), '_recursos_email', true );
										$telefono = get_post_meta( get_the_ID(), '_recursos_telefono', true );
										$lugar = get_post_meta( get_the_ID(), '_recursos_lugar', true );
										$contacto = get_post_meta( get_the_ID(), '_recursos_contacto', true );
										$url= get_post_meta( get_the_ID(), '_recursos_url', true );
										
										$id=get_the_ID();
                     					$listadocumentos=listado_documentos($id,'_recursos_documentos');
                     					$listadogaleria=listado_galeria($id,'_recursos_galeria');


										$result = '';
										if ( has_post_thumbnail() ) {         
                      						echo ('<div class="post-thumb">');
                            				the_post_thumbnail( 'full' );
                            				echo ('</div>');
                    					} 	
                    				?>

                    				
                    				<div class="cf ficha">
                    					<p><?php echo($direccion.' '.$lugar) ?><br/>
                    						
                    						<?php if ($telefono<>""){ ?>	
                    							<i class="fa fa-phone" title="teléfono"></i> <?php echo($telefono) ?>&nbsp;&nbsp;|&nbsp;&nbsp;
                    						<?php } ?>

                    						<?php if ($email<>""){ ?>	
                    							<i class="fa fa-envelope" title="correo electrónico"></i> <?php echo($email) ?>&nbsp;&nbsp;|&nbsp;&nbsp;
                    						<?php } ?>

                    						<?php if ($contacto<>""){ ?>	
                    							<i class="fa fa-user" title="persona de contacto"></i> <?php echo($contacto) ?>             					
                    						<?php } ?>

                    						<?php if ($url<>""){ ?>	
                    							<br/><a href="<?php echo($url) ?>" title="web específica o más información" target="_blank"><?php echo($url) ?> <i class="fa fa-external-link" title="web específica o más información"></i></a>             					
                    						<?php } ?>
                    						
                    					<p>		

                    				</div>

									<?php
										                    
            					        the_content();


                    					//Los documentos asociados
					                   echo $listadocumentos;
					                    //La Galería de imágenes
					                   echo $listadogaleria;
															
									?>

								</section> <!-- end article section -->

								<footer class="article-footer">
									<h3>Categorías relacionadas</h3>
									<p class="tags">
									<?php 
									$categorias = get_the_term_list( get_the_ID(),'categoriasrecursos', '<ul class="ficha_categorias"><li class="ficha_categorias" >', '</li><li class="ficha_categorias" >', '</li></ul>');
									echo ($categorias);
									?></p>
								</footer>

								<?php comments_template(); ?>

							</article>

							<?php endwhile; ?>

							<?php else : ?>

									<article id="post-not-found" class="hentry cf">
										<header class="article-header">
											<h1><?php _e( 'Lo sentimos... entrada no encontrada!', 'gobpress_theme' ); ?></h1>
										</header>
										<section class="entry-content">
											<p><?php _e( 'Algo falla... por favor revisa en contenido.', 'gobpress_theme' ); ?></p>
										</section>
										<footer class="article-footer">
											<p><?php _e( 'Este error se ha generado en la plantilla de personal (single-personal.php).', 'gobpress_theme' ); ?></p>
										</footer>
									</article>

							<?php endif; ?>

						</main>

						<?php get_sidebar(); ?>

				</div>

			</div>

<?php get_footer(); ?>
